| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
LPC_PIN_INT_T Struct Reference
CHIP: LPC8xx Pin Interrupt and Pattern Match driver

## Detailed Description

LPC8xx Pin Interrupt and Pattern Match register block structure.

Definition at line 47 of file pinint_8xx.h.

`#include "pinint_8xx.h"`

## Data Fields
__IO uint32_t | ISEL
__IO uint32_t | IENR
__IO uint32_t | SIENR
__IO uint32_t | CIENR
__IO uint32_t | IENF
__IO uint32_t | SIENF
__IO uint32_t | CIENF
__IO uint32_t | RISE
__IO uint32_t | FALL
__IO uint32_t | IST
__IO uint32_t | PMCTRL
__IO uint32_t | PMSRC
__IO uint32_t | PMCFG

## Field Documentation

__IO uint32_t CIENF

(@ 0xA0004018) Clear Pin Interrupt Enable Falling Edge / Active Level address

Definition at line 54 of file pinint_8xx.h.

__IO uint32_t CIENR

(@ 0xA000400C) Clear Pin Interrupt Enable (Rising) register

Definition at line 51 of file pinint_8xx.h.

__IO uint32_t FALL

(@ 0xA0004020) Pin Interrupt Falling Edge register

Definition at line 56 of file pinint_8xx.h.

__IO uint32_t IENF

(@ 0xA0004010) Pin Interrupt Enable Falling Edge / Active Level register

Definition at line 52 of file pinint_8xx.h.

__IO uint32_t IENR

(@ 0xA0004004) Pin Interrupt Enable (Rising) register

Definition at line 49 of file pinint_8xx.h.

__IO uint32_t ISEL

< (@ 0xA0004000) PIN_INT Structure (@ 0xA0004000) Pin Interrupt Mode register

Definition at line 48 of file pinint_8xx.h.

__IO uint32_t IST

(@ 0xA0004024) Pin Interrupt Status register

Definition at line 57 of file pinint_8xx.h.

__IO uint32_t PMCFG

(@ 0xA0004030) GPIO pattern match interrupt bit slice configuration register

Definition at line 60 of file pinint_8xx.h.

__IO uint32_t PMCTRL

(@ 0xA0004028) GPIO pattern match interrupt control register

Definition at line 58 of file pinint_8xx.h.

__IO uint32_t PMSRC

(@ 0xA000402C) GPIO pattern match interrupt bit-slice source register

Definition at line 59 of file pinint_8xx.h.

__IO uint32_t RISE

(@ 0xA000401C) Pin Interrupt Rising Edge register

Definition at line 55 of file pinint_8xx.h.

__IO uint32_t SIENF

(@ 0xA0004014) Set Pin Interrupt Enable Falling Edge / Active Level register

Definition at line 53 of file pinint_8xx.h.

__IO uint32_t SIENR

(@ 0xA0004008) Set Pin Interrupt Enable (Rising) register

Definition at line 50 of file pinint_8xx.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_chip/chip_8xx/pinint_8xx.h